VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
ProcessContextCheck Class Reference

`#include <processcontextcheck.h>`

## Public Member Functions
| ProcessContextCheck ()
void | setEventLogger (EventLogger *eventLogger)
void | setSampleRate (double sampleRate)
void | check (Steinberg::Vst::ProcessContext *context)

## Protected Attributes
EventLogger * | mEventLogger
double | mSampleRate

## Constructor & Destructor Documentation

ProcessContextCheck | ( |  | ) |

## Member Function Documentation

void setEventLogger | ( | EventLogger * | eventLogger | ) |

void setSampleRate | ( | double | sampleRate | ) |

void check | ( | Steinberg::Vst::ProcessContext * | context | ) |

## Member Data Documentation

EventLogger* mEventLogger
| protected

double mSampleRate
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.